%define upstream_name    BioPerl
%define upstream_version 1.6.901

%define _requires_exceptions perl(Bio::Expression::FeatureSet)\\|perl(TestInterface)
%define _provides_exceptions perl(Error)\\|perl(Error::Simple)\\|perl(Error::subs)\\|perl(TestInterface)\\|perl(TestObject)

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    BioPerl core modules
Group:      Development/Perl
License:    Artistic
Url:        http://www.bioperl.org
Source0:    http://bioperl.org/DIST/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CPAN) >= 1.810.0
BuildRequires: perl(DB_File)
BuildRequires: perl(Data::Stag) >= 0.110.0
BuildRequires: perl(ExtUtils::Manifest) >= 1.520.0
BuildRequires: perl(IO::String)
BuildRequires: perl(Module::Build) >= 0.280.500
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::Harness) >= 2.620.0
BuildRequires: perl(Test::More)
BuildArch:  noarch

Obsoletes:  perl-bioperl <= 1.6.901
Provides:   perl-bioperl

%description
Officially organized in 1995 and existing informally for several years
prior, The Bioperl Project is an international association of developers
of open source Perl tools for bioinformatics, genomics and life science
research.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor <<EOI
n
n
a
n
EOI
./Build

%check
#./Build test

%install
./Build install destdir=%{buildroot}
# those should belong to Bioperl-Run instead
%{__rm} -f %{buildroot}%{_bindir}/bp_pairwise_kaks.pl
%{__rm} -f %{buildroot}%{_bindir}/bp_blast2tree.pl

# correct permissions
find %{buildroot}%{perl_vendorlib}/Bio/ -name "*.pm" -exec chmod 644 {} \;

# clean doc
executables='.*\(\.\(pl\|cgi\)\|pdf2index\|dbfetch\)$'
for dir in examples doc;
do
	find $dir -type f -regex $executables | xargs chmod 644
	find $dir -type f -regex $executables | xargs perl -pi -e 's|^#!/usr/local/bin/perl|#!/usr/bin/perl|'
	find $dir -type f ! -regex $executables | xargs chmod 644
	find $dir -type f | xargs perl -pi -e 'BEGIN {exit unless -T $ARGV[0];} tr/\r//d;'
done

%files
%doc AUTHORS BUGS Changes DEPENDENCIES DEPRECATED INSTALL LICENSE META.json META.yml MYMETA.yml README examples
%{perl_vendorlib}/Bio/
%{_mandir}/*/*


%changelog
* Fri Oct 18 2013 umeabot <umeabot> 1.6.901-5.mga4
+ Revision: 509343
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.6.901-4.mga3
+ Revision: 363367
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 25 2011 jquelin <jquelin> 1.6.901-3.mga2
+ Revision: 171887
- fix obsoletes

* Thu Oct 20 2011 jquelin <jquelin> 1.6.901-2.mga2
+ Revision: 156795
- dist renamed upstream (once again)
- dist renamed upstream (once again)

* Wed Jun 22 2011 jquelin <jquelin> 1.6.901-1.mga2
+ Revision: 112127
- update to 1.6.901

* Sat Jun 11 2011 spuhler <spuhler> 1.6.1-3.mga2
+ Revision: 104043
- increase rel for rebuild

* Thu Jan 27 2011 jquelin <jquelin> 1.6.1-2.mga1
+ Revision: 42066
- updating buildrequires:
- rebuild
- mageia rebuild
- imported package perl-bioperl

